# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(IO/Socket.pm) perl(IP/Country/Fast.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

Name:           perl-Net-Whois-IP
Version:        1.10
Release:        alt1_6
Summary:        Perl extension for looking up the whois information for ip addresses
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Net-Whois-IP/
Source0:        http://www.cpan.org/modules/by-module/Net/Net-Whois-IP-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
Source44: import.info

%description
Perl module to allow whois lookup of ip addresses. This module should
recursively query the various whois providers until it gets the more
detailed information including either TechPhone or OrgTechPhone by default;
however, this is overrideable.

%prep
%setup -q -n Net-Whois-IP-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.10-alt1_6
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.10-alt1_5
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 1.10-alt1_4
- fc import

